--- !ruby/object:RI::MethodDescription 
aliases: 
- !ruby/object:RI::AliasName 
  name: "<<"
block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Create a Proc, when called, the parameter is first passed into <em>other</em>, <em>self</em> is called in turn with the return value from <em>other</em>.
full_name: RParsec::FunctorMixin#compose
is_singleton: false
name: compose
params: (other)
visibility: public
